MSGMERGE(1)

NAME
msgmerge - merge two message catalogs

SYNOPSIS
msgmerge [OPTION] def.po ref.po

DESCRIPTION
Mandatory arguments to long options are mandatory for short options too.

-C, --compendium=FILE
    additional library of message translations, may be specified more than once

-D, --directory=DIRECTORY
    add DIRECTORY to list for input files search

-e, --no-escape
    do not use C escapes in output (default)

-E, --escape
    use C escapes in output, no extended chars

--force-po
    write PO file even if empty

-h, --help
    display a help message and exit

-i, --indent
    indented output style

-o, --output-file=FILE
    result will be written to FILE

--no-location
    suppress '#: filename:line' lines

--add-location
    preserve '#: filename:line' lines (default)

--strict
    strict Uniforum output style

-v, --verbose
    increase verbosity level

-V, --version
    output version information and exit

-w, --width=NUMBER
    set output page width

Merges two Uniforum style .po files together. The def.po file is an existing PO file with the old translations which will be taken over to the newly created file as long as they still match; comments will be preserved, but extract comments and file positions will be discarded. The ref.po file is the last created PO file (generally by xgettext), any translations or comments in the file will be discarded, however dot comments and file positions will be preserved. Where an exact match cannot be found, fuzzy matching is used to produce better results. The results are written to stdout unless an output file is specified.

AUTHOR
Written by Peter Miller.

REPORTING BUGS
Report bugs to <bug-gnu-utils@gnu.org>.

COPYRIGHT
Copyright © 1995-1998, 2000, 2001 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
gettext(1), msgfmt(1), xgettext(1)

The full documentation for msgmerge is maintained as a Texinfo manual. If the info and msgmerge programs are properly installed at your site, the command info msgmerge should give you access to the complete manual.

On Debian, the manual is also available in HTML format in the gettext-doc package.